import java.io.*;
import org.jacorb.ir.*;
import org.omg.CORBA.*;

public class QueryIR 
{
    public static void main( String[] args )
    {
        if( args.length != 1 )
        {
            System.err.println("Usage: qir <RepositoryID>");
            System.exit(1);
        }

        try 
        {
            ORB orb = ORB.init( args, null );
            Repository ir = 
                RepositoryHelper.narrow( orb.resolve_initial_references( "InterfaceRepository"));
				
            org.omg.CORBA.Contained c = ir.lookup_id( args[0] );
			org.omg.CORBA.InterfaceDef id = org.omg.CORBA.InterfaceDefHelper.narrow(c);
			org.omg.CORBA.InterfaceDefPackage.FullInterfaceDescription fid = id.describe_interface();
			
			System.out.println("Interface " + fid.name);
			int i;
			for (i=0; i<fid.operations.length; i++)
				System.out.println("  Methode " + fid.operations[i].name);
        } 
        catch ( Exception e)
        {
            e.printStackTrace();
        }
    }
}

